FROM python:3.8-alpine

WORKDIR /src

RUN apk update && apk upgrade
RUN apk add --no-cache postgresql-libs
RUN apk add --no-cache --virtual .build-deps gcc musl-dev postgresql-dev g++ make musl-dev 
RUN apk add --no-cache py3-setuptools python3-dev
RUN apk add --no-cache build-base linux-headers


ADD requirements.txt requirements.txt

RUN pip install --upgrade pip
RUN pip install --upgrade setuptools
RUN pip install --no-cache-dir -r requirements.txt

COPY . .

EXPOSE 5000

CMD ["gunicorn","--bind","0.0.0.0:5000","wsgi:app"]

